package interfacesDAO;

import java.util.List;

public interface GenericDAO<T> {
	
	public void create(T entity);

	public void delete(T entity);

	public void modify(T entity);
	
	public List<T> get();
	
	public T get(long id);
}
